summaryrefslogtreecommitdiffstats
path: root/testing/docker/upload-symbols/bin
diff options
context:
space:
mode:
Diffstat (limited to 'testing/docker/upload-symbols/bin')
-rwxr-xr-xtesting/docker/upload-symbols/bin/checkout-script.sh16
-rwxr-xr-xtesting/docker/upload-symbols/bin/upload.sh21
2 files changed, 37 insertions, 0 deletions
diff --git a/testing/docker/upload-symbols/bin/checkout-script.sh b/testing/docker/upload-symbols/bin/checkout-script.sh
new file mode 100755
index 000000000..c39778937
--- /dev/null
+++ b/testing/docker/upload-symbols/bin/checkout-script.sh
@@ -0,0 +1,16 @@
+#! /bin/bash -vex
+
+set -x -e
+
+# Inputs, with defaults
+
+: GECKO_HEAD_REPOSITORY ${GECKO_HEAD_REPOSITORY:=https://hg.mozilla.org/mozilla-central}
+: GECKO_HEAD_REV ${GECKO_HEAD_REV:=default}
+
+: SCRIPT_DOWNLOAD_PATH ${SCRIPT_DOWNLOAD_PATH:=$PWD}
+: SCRIPT_PATH ${SCRIPT_PATH:?"script path must be set"}
+set -v
+
+# download script from the gecko repository
+url=${GECKO_HEAD_REPOSITORY}/raw-file/${GECKO_HEAD_REV}/${SCRIPT_PATH}
+wget --directory-prefix=${SCRIPT_DOWNLOAD_PATH} $url
diff --git a/testing/docker/upload-symbols/bin/upload.sh b/testing/docker/upload-symbols/bin/upload.sh
new file mode 100755
index 000000000..a0cc15c5b
--- /dev/null
+++ b/testing/docker/upload-symbols/bin/upload.sh
@@ -0,0 +1,21 @@
+#! /bin/bash
+
+set -e
+
+# checkout the script
+source $(dirname $0)/checkout-script.sh
+
+# Check that we have a taskid to checkout
+if [ -z ${ARTIFACT_TASKID} ]; then
+ echo "Please set ARTIFACT_TASKID. Exiting"
+ exit 0
+fi
+
+# grab the symbols from an arbitrary task
+symbol_url=https://queue.taskcluster.net/v1/task/${ARTIFACT_TASKID}/artifacts/public/build/target.crashreporter-symbols-full.zip
+wget ${symbol_url}
+
+# run
+symbol_zip=$(basename ${symbol_url})
+script_name=$(basename ${SCRIPT_PATH})
+python -u ${script_name} ${symbol_zip}